# Class PrivateKeyCallback.DigestRequest

java.lang.Object
javax.security.auth.message.callback.PrivateKeyCallback.DigestRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  `PrivateKeyCallback`

public static class PrivateKeyCallback.DigestRequest extends Object implements PrivateKeyCallback.Request

## Constructor Summary

Constructors
Constructor
Description
`DigestRequest(byte[] digest, String algorithm)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
`byte[]`
`getDigest()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DigestRequest

public DigestRequest(byte[] digest, String algorithm)

## Method Details

### getDigest

public byte[] getDigest()

### getAlgorithm

public String getAlgorithm()